namespace Wizard;

public class BuildDeckSeries : BaseSeriesData
{
	private int _index;

	public BuildDeckSeries(string[] columns)
	{
		base.Id = int.Parse(columns[_index++]);
		base.Name = ConvSeriesText(columns[_index++]);
		base.Introduction = ConvSeriesText(columns[_index++]);
		base.TitlePath = columns[_index++];
		base.DrumrollPath = columns[_index++];
	}

	private string ConvSeriesText(string id)
	{
		return Data.Master.GetBuildDeckSeriesText(id);
	}
}
